Subject: Error in 5.2.3.22

From: Jon Callas <[email-masked]>
Date: Wed, 21 Jul 1999 14:46:25 -0700

In OpenPGP, any signature may be revoked. In addition, there is a 
special "key revocation" signature that can be used to render the 
whole key inactive.

5.2.3.22 says this subpacket is only valid for key and certification 
revocations. I think it's useful to be able to put a reason on *any* 
signature revocation, and that this is an omission.

For generic signatures, I can't think of a reason other than 0x00 (no 
reason specified) to be pertinent. But I think it should be allowed.

Another question: Should this subpacket be elevated to 
SHOULD-implement? I want to keep as few SHOULDs and MUSTs as 
possible, but think this is an important feature. This subpacket, 
properly done, allows for keys to be retired, user names retired, and 
comments to be put on revocations. These are all so useful, I'd like 
to encourage implementers to do it.

	Jon